# -*- coding: utf-8 -*-
from django import forms
from django.forms import widgets
from covoiturage.models import Annonce

from gestion.fields import AddressWidget


class AnnonceForm(forms.ModelForm):
    class Meta:
        model = Annonce
        exclude = ("user", "ecole", "date_publication")
        widgets = {
            "adresse_depart": AddressWidget,
            "adresse_destination": AddressWidget,
            "commentaire": widgets.Textarea(attrs={"rows": 4}),
        }


class AdminAnnonceForm(forms.ModelForm):
    class Meta:
        model = Annonce
        exclude = (
            "user",
            "ecole",
        )
        widgets = {
            "adresse_depart": AddressWidget,
            "adresse_destination": AddressWidget,
            "commentaire": widgets.Textarea(attrs={"rows": 4}),
        }
